javax.swing.plaf.basic

## Class BasicTabbedPaneUI.FocusHandler

- java.lang.Object
- - java.awt.event.FocusAdapter
  - - javax.swing.plaf.basic.BasicTabbedPaneUI.FocusHandler

- All Implemented Interfaces:
    FocusListener, EventListener
  Enclosing class:
    BasicTabbedPaneUI

      public class BasicTabbedPaneUI.FocusHandler
      extends FocusAdapter

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicTabbedPaneUI.FocusHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
    `void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicTabbedPaneUI.FocusHandler

          public BasicTabbedPaneUI.FocusHandler()

  - ### Method Detail

    - #### focusGained

          public void focusGained(FocusEvent e)

      Description copied from class: `FocusAdapter`
      Invoked when a component gains the keyboard focus.
      Specified by:
        `focusGained` in interface `FocusListener`
      Overrides:
        `focusGained` in class `FocusAdapter`

    - #### focusLost

          public void focusLost(FocusEvent e)

      Description copied from class: `FocusAdapter`
      Invoked when a component loses the keyboard focus.
      Specified by:
        `focusLost` in interface `FocusListener`
      Overrides:
        `focusLost` in class `FocusAdapter`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.